import request from '@/utils/request'

// 查询物料产品分类列表
export function listType(query) {
  return request({
    url: '/md/type/list',
    method: 'get',
    params: query
  })
}

// 查询物料产品分类详细
export function getType(itemTypeId) {
  return request({
    url: '/md/type/' + itemTypeId,
    method: 'get'
  })
}

// 新增物料产品分类
export function addType(data) {
  return request({
    url: '/md/type',
    method: 'post',
    data: data
  })
}

// 修改物料产品分类
export function updateType(data) {
  return request({
    url: '/md/type',
    method: 'put',
    data: data
  })
}

// 删除物料产品分类
export function delType(itemTypeId) {
  return request({
    url: '/md/type/' + itemTypeId,
    method: 'delete'
  })
}
